/// <reference types="react" />
import { StyleProp, TextStyle, ViewStyle } from "react-native";
interface Props {
    value: string;
    onChange: (text: string) => void;
    label?: string;
    error?: string;
    required?: boolean;
    inputStyle?: StyleProp<TextStyle>;
    labelTextStyle?: StyleProp<TextStyle>;
    contentStyle?: StyleProp<ViewStyle>;
    errorTextStyle?: StyleProp<TextStyle>;
    style?: StyleProp<ViewStyle>;
    button?: any;
    forceFocus?: boolean;
    placeholder?: string;
    description?: string;
    descriptionTextStyles?: StyleProp<TextStyle>;
    [key: string]: any;
}
declare const Input: ({ value, onChange, label, error, required, style, inputStyle, labelTextStyle, contentStyle, errorTextStyle, button, forceFocus, placeholder, description, descriptionTextStyles, ...props }: Props) => JSX.Element;
export default Input;
