import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Image, Text, TouchableWithoutFeedback, View } from "react-native";
const Select = ({ isSelected, title, onPress }) => {
    return (_jsx(View, { children: _jsx(TouchableWithoutFeedback, { onPress: onPress, children: _jsxs(View, { style: {
                    flexDirection: "row",
                    alignItems: "center",
                    marginBottom: 8,
                }, children: [_jsx(Image, { style: { width: 21, height: 21 }, source: isSelected
                            ? require("../assets/select-on.png")
                            : require("../assets/select-off.png") }), _jsx(Text, { style: {
                            fontSize: 15,
                            marginLeft: 6,
                            color: "black",
                        }, children: title })] }) }) }));
};
export default Select;
