import { jsx as _jsx } from "react/jsx-runtime";
import Modal from "react-native-modal";
const ModalContainer = ({ children, close, isVisible, style, backdropOpacity = 0.6, }) => {
    return (_jsx(Modal, { isVisible: isVisible, animationIn: "bounceInUp", animationOut: "bounceOutDown", backdropOpacity: backdropOpacity, onBackdropPress: close, backdropTransitionInTiming: 300, backdropTransitionOutTiming: 300, animationInTiming: 700, animationOutTiming: 700, hideModalContentWhileAnimating: true, onBackButtonPress: close, useNativeDriver: true, style: [
            {
                justifyContent: "center",
                alignItems: "center",
            },
            style,
        ], children: children }));
};
export default ModalContainer;
