/// <reference types="react" />
import { StyleProp, TextStyle, ViewStyle } from "react-native";
interface Props {
    children: any;
    style?: StyleProp<ViewStyle>;
    loading?: boolean;
    textStyle?: StyleProp<TextStyle>;
    disabled?: boolean;
    isCustomChildren?: boolean;
    loadingSize?: number;
    loadingBlack?: boolean;
    [key: string]: any;
}
declare const Button: ({ children, loading, style, textStyle, disabled, isCustomChildren, loadingSize, loadingBlack, ...props }: Props) => JSX.Element;
export default Button;
