import { Fragment as _Fragment, jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Text, TouchableWithoutFeedback, View } from "react-native";
import CheckBoxIconOn from "../assets/check-box-on.svg";
import CheckBoxIconOff from "../assets/check-box-off.svg";
const CheckBox = ({ value, title, onPress, width = 30, height = 30, }) => {
    const Title = () => {
        if (!title)
            return _jsx(_Fragment, {});
        return typeof title === "object" ? (title) : (_jsx(Text, { style: { marginLeft: 3, color: "black" }, children: title }));
    };
    return (_jsx(TouchableWithoutFeedback, { onPress: onPress, children: _jsxs(View, { style: { flexDirection: "row", alignItems: "center" }, children: [value ? (_jsx(CheckBoxIconOn, { width: width, height: height })) : (_jsx(CheckBoxIconOff, { width: width, height: height })), _jsx(Title, {})] }) }));
};
export default CheckBox;
