/// <reference types="react" />
import { StyleProp, ViewStyle } from "react-native";
interface Props {
    children?: any;
    bottomComponent?: any;
    isNoScrollView?: boolean;
    scrollProps?: any;
    behavior?: "padding" | "height" | "position" | undefined;
    keyboardVerticalOffset?: number;
    style?: StyleProp<ViewStyle>;
    [key: string]: any;
}
declare const KeyboardAvoidingView: ({ children, isNoScrollView, bottomComponent, scrollProps, behavior, keyboardVerticalOffset, style, }: Props) => JSX.Element;
export default KeyboardAvoidingView;
