import { Fragment as _Fragment, jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { KeyboardAvoidingView as KeyboardAvoiding, ScrollView, Platform, } from "react-native";
import { isIphoneX } from "react-native-iphone-x-helper";
const KeyboardAvoidingView = ({ children, isNoScrollView, bottomComponent, scrollProps, behavior = "padding", keyboardVerticalOffset = 0, style, }) => {
    return (_jsxs(KeyboardAvoiding, { style: [{ flex: 1 }, style], behavior: behavior, enabled: Platform.OS === "ios", keyboardVerticalOffset: isIphoneX() ? keyboardVerticalOffset + 44 : keyboardVerticalOffset, children: [isNoScrollView ? (_jsx(_Fragment, { children: children })) : (_jsx(ScrollView, { style: { flex: 1 }, showsVerticalScrollIndicator: false, keyboardShouldPersistTaps: "handled", ...scrollProps, children: children })), bottomComponent ? bottomComponent : null] }));
};
export default KeyboardAvoidingView;
