import { jsx as _jsx } from "react/jsx-runtime";
import { View } from "react-native";
import Modal from "react-native-modal";
const BottomModalContainer = ({ children, disabledClose, close, isVisible, avoidKeyboard = true, onShow, style, }) => {
    return (_jsx(View, { children: _jsx(Modal, { onShow: onShow, isVisible: isVisible, animationIn: "slideInUp", animationOut: "slideOutDown", backdropOpacity: 0.8, onBackdropPress: disabledClose ? undefined : close, backdropTransitionInTiming: 300, backdropTransitionOutTiming: 300, animationInTiming: 300, animationOutTiming: 300, hideModalContentWhileAnimating: true, onBackButtonPress: disabledClose ? undefined : close, useNativeDriver: true, avoidKeyboard: avoidKeyboard, style: [
                {
                    width: "100%",
                    justifyContent: "flex-end",
                    alignItems: "center",
                    margin: 0,
                },
                style,
            ], children: children }) }));
};
export default BottomModalContainer;
