import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useEffect, useState } from "react";
import { View, TouchableWithoutFeedback, Text, Image } from "react-native";
import BottomModalContainer from "./BottomModalContainer";
import BottomModalCard from "./BottomModalCard";
const BottomSelectModal = ({ isVisible, value, onPress, close, selectableList, }) => {
    const [selected, setSelected] = useState(value);
    useEffect(() => {
        setSelected(value);
    }, [value]);
    return (_jsx(BottomModalContainer, { isVisible: isVisible, close: close, children: _jsx(BottomModalCard, { isNoCloseButton: false, close: close, children: _jsx(View, { children: selectableList?.map((item, index) => {
                    return (_jsx(TouchableWithoutFeedback, { onPress: () => {
                            setSelected(item);
                            onPress(item);
                        }, children: _jsxs(View, { style: {
                                flexDirection: "row",
                                alignItems: "center",
                                marginBottom: 8,
                            }, children: [_jsx(Image, { style: { width: 21, height: 21 }, source: item === selected
                                        ? require("../assets/select-on.png")
                                        : require("../assets/select-off.png") }), _jsx(Text, { style: {
                                        fontSize: 15,
                                        marginLeft: 6,
                                        color: "black",
                                    }, children: item })] }) }, index));
                }) }) }) }));
};
export default BottomSelectModal;
