import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { View, Text } from 'react-native';
import colors from '../colors';
export const Label = ({ label, required, textStyle, style }) => {
    if (!label)
        return null;
    return (_jsxs(View, { style: [{ flexDirection: 'row', marginBottom: 7 }, style], children: [_jsx(Text, { style: [
                    {
                        fontSize: 15,
                        color: colors.BLACK,
                        fontWeight: '600',
                    },
                    textStyle,
                ], children: label }), required ? (_jsx(Text, { style: [{ fontSize: 12, color: colors.BLACK }], children: " *" })) : null] }));
};
